1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545
|
.. -*- rst -*-
=========
Instances
=========
List database instances
~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/instances
Lists information for all database instances. Supported filters:
include_clustered
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
Response Example
----------------
.. literalinclude:: samples/instance-list-response.json
:language: javascript
List database instances(admin)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/mgmt/instances
Admin only API. Get all the instances, Could show more information such as
Cinder volume ID, Nova server information, etc.
Supported filters:
* ``deleted``.
* ``include_clustered``.
* ``project_id``: Get instances of a speficied project.
Normal response codes: 200
Response Example
----------------
.. literalinclude:: samples/instance-mgmt-list-response.json
:language: javascript
List database instances(with details)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/instances/detail
Lists information for all database instances with more details, such as created
and updated time, service status updated time, the failure message, etc.
Supported filters: include_clustered
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
Response Example
----------------
.. literalinclude:: samples/instance-list-detail-response.json
:language: javascript
Create database instance
~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: POST /v1.0/{project_id}/instances
Creates a database instance.
Normally, you must specify a flavor ID, a volume size and the network the
instance is attached to. The service provisions the instance with a volume of
the requested size, which serves as storage for the database instance.
If creating replica (a secondary instance of the replication cluster), flavor
and volume size are not needed.
The database service can only be access within the tenant network, unless the
``access`` parameter is defined.
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- users: users
- users.name: user_name1
- users.password: user_password
- users.host: user_host
- users.databases: user_databases
- users.databases.name: user_database_name
- datastore: datastore1
- datastore.type: datastore_type
- datastore.version: datastore_version
- datastore.version_number: version_number
- name: instanceName1
- flavorRef: flavorRef
- volume: volume
- volume.size: volume_size
- volume.type: volume_type
- modules: modules
- modules.id: module_id
- restorePoint: restore_point
- restorePoint.backupRef: restore_point_backupref
- availability_zone: availability_zone
- nics: nics
- replica_of: replica_of
- replica_count: replica_count
- locality: locality
- region_name: region_name
- databases: databases
- databases.characterSet: characterSet
- databases.collate: collate
- instance: instance
- configuration: configuration
- access: access
- access.is_public: access_is_public
- access.allowed_cidrs: access_allowed_cidrs
Request Example
---------------
.. literalinclude:: samples/instance-create-request.json
:language: javascript
Response Parameters
-------------------
.. rest_parameters:: parameters.yaml
- id: instanceId1
- name: instanceName1
- status: instance_status
- operating_status: operating_status
- links: instance_links
- links.href: instance_link_href
- links.rel: instance_link_rel
- flavor: flavor
- flavor.id: flavorId1
- flavor.links: flavor_links
- flavor.links.href: flavor_link_href
- flavor.links.rel: flavor_link_rel
- datastore: datastore2
- datastore.type: datastore_type
- datastore.version: datastore_version1
- datastore.version_number: version_number
- volume: volume
- volume.size: volume_size
- volume.used: volume_used
- created: created
- updated: updated
- service_status_updated: service_status_updated
- locality: locality
- password: root_password
- instance: instance
Response Example
----------------
.. literalinclude:: samples/instance-create-response.json
:language: javascript
Show database instance details
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/instances/{instanceId}
Shows database instance details.
Lists the volume size in gigabytes (GB) and the approximate GB
used. After instance creation, the ``used`` value is greater than 0, which
is expected as databases may create some basic (non empty) files to
represent an empty schema. The response does not include the ``used``
attribute when the instance status is ``BUILD``, ``REBOOT``,
``RESIZE``, or ``ERROR``.
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
Response Parameters
-------------------
.. rest_parameters:: parameters.yaml
- instance: instance
- id: instanceId1
- name: instanceName1
- status: instance_status
- operating_status: operating_status
- links: instance_links
- links.href: instance_link_href
- links.rel: instance_link_rel
- flavor: flavor
- flavor.id: flavorId1
- flavor.links: flavor_links
- flavor.links.href: flavor_link_href
- flavor.links.rel: flavor_link_rel
- datastore: datastore2
- datastore.type: datastore_type
- datastore.version: datastore_version1
- region: region_name2
- tenant_id: tenant_id
- volume: volume
- volume.size: volume_size
- volume.used: volume_used
- hostname: instance_hostname
- ip: instance_ip_address
- addresses: instance_ip_addresses
- created: created
- updated: updated
- service_status_updated: service_status_updated
- fault: instance_fault
- fault.message: instance_fault_message
- fault.created: instance_fault_created
- fault.details: instance_fault_details
- replicas: instance_replicas
- replicas.id: instance_replica_id
- replicas.links: instance_replica_links
- replicas.links.href: instance_replica_link_href
- replicas.links.rel: instance_replica_link_rel
- replica_of: replica_of_optional
- configuration: configuration1
- configuration.id: configuration_id
- configuration.name: configuration_name
- configuration.links: configuration_links
- configuration.links.href: configuration_link_href
- configuration.links.rel: configuration_link_rel
- locality: locality
- local_storage_used: local_storage_used
- password: root_password
- cluster_id: cluster_id
- shard_id: shard_id
- server_id: server_id
- volume_id: volume_id
- encrypted_rpc_messaging: encrypted_rpc_messaging
- access: access
- access.is_public: access_is_public
- access.allowed_cidrs: access_allowed_cidrs
Response Example
----------------
.. literalinclude:: samples/instance-show-response.json
:language: javascript
Show database instance details(admin)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/mgmt/instances/{instanceId}
Admin only API. Get an instance information, including Cinder volume, Nova
server, etc.
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
Response Example
----------------
.. literalinclude:: samples/instance-mgmt-show-response.json
:language: javascript
Attach/Detach configuration group
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: PUT /v1.0/{project_id}/instances/{instanceId}
Attach or detach a configuration group for an instance. When you pass in only
an instance ID and omit the configuration ID, this operation detaches any
configuration group that was attached to the instance.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
- configuration: configuration
Request Example
---------------
.. literalinclude:: samples/instance-put-attach-config-group-request.json
:language: javascript
Update instance name
~~~~~~~~~~~~~~~~~~~~
.. rest_method:: PUT /v1.0/{project_id}/instances/{instanceId}
Update the instance name.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
- instance: instance
- name: instanceName
Request Example
---------------
.. literalinclude:: samples/instance-patch-update-name-request.json
:language: javascript
Upgrade datastore version for instance
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: PUT /v1.0/{project_id}/instances/{instanceId}
Upgrade datastore version.
During datastore version upgrading, the instance status change to ``UPGRADE``,
and changes back to ``HEALTHY`` after upgrading finishes, otherwize changes to
``ERROR`` if the upgrading fails.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
- instance: instance
- datastore_version: datastore_version
Request Example
---------------
.. literalinclude:: samples/instance-patch-upgrade-datastore-version-request.json
:language: javascript
Detach replica
~~~~~~~~~~~~~~
.. rest_method:: PUT /v1.0/{project_id}/instances/{instanceId}
Detaches a replica from its replication source.
If you created an instance that is a replica of a source instance,
you can detach the replica from the source later on. This can be useful if
the source becomes unavailable. In this case, you can detach the
replica from the source, making the replica a standalone database
instance. You can then take the new standalone instance and create
a new replica of that instance.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
- instance: instance
- replica_of: replica_of
- slave_of: slave_of
Request Example
---------------
.. literalinclude:: samples/instance-patch-detach-replica-request.json
:language: javascript
Update instance accessbility
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: PUT /v1.0/{project_id}/instances/{instanceId}
The following operations are supported:
* If the instance should be exposed to public or not. Not providing
``is_public`` means private.
* The list of CIDRs that are allowed to access the database service. Not
providing ``allowed_cidrs`` means allowing everything.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
- instance: instance
- access: access
- access.is_public: access_is_public
- access.allowed_cidrs: access_allowed_cidrs
Request Example
---------------
.. literalinclude:: samples/instance-update-access-request.json
:language: javascript
Delete database instance
~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: DELETE /v1.0/{project_id}/instances/{instanceId}
Deletes a database instance.
This operation does not delete any slaves.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
List backups of database instance
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/instances/{instanceId}/backups
Get all the backups for an instance.
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
Response Example
----------------
.. literalinclude:: samples/instance-backup-list-response.json
:language: javascript
List default configuration parameters of database instance
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/instances/{instanceId}/configuration
Get the default configuration parameters for an instance.
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- instanceId: instanceId
Response Example
----------------
.. literalinclude:: samples/instance-configuration-list-response.json
:language: javascript
|